<?php
$version = 'v1.0';
$step = 1;
if (isset($_POST['submit'])) {
	set_time_limit(3000);
	include('library/backend.php'); $step = 2;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title>PPC Campaign Builder <?=$version?></title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <link rel="stylesheet" type="text/css" href="library/style.css" />
    <script language="javascript" src="library/javascript.js"></script>
</head>

<body>

<?php if ($step == 1) { ?>
<form id="interface" method="post" target="_blank" name="inputForm" onsubmit="return validateForm(this)">

	<div id="interface-header" class="group">
        <h1>DerekBeau's PPC Campaign Builder <?=$version?></h1>
        <div align="center">
        	<a href="versionhistory.html" class="hl">View Version History</a> &bull 
        	<a href="userguide.pdf" class="hl" target="_blank">First Draft User Guide</a>
        </div>
    </div>

    <div id="initial-setup" class="group">
		<div class="cluster">
			<h2>Campaign Name</h2> <input type="text" name="campaignName" value="Name your campaign" onFocus="clearField(this)" />
		</div>
        <div class="cluster">
            <h2>Bid Options</h2>
            <div><label>Broad Match</label> <input type="checkbox" name="matchTypes[]" value="broad" /> <input type="text" name="bidAmounts[broad]" value="0.00" /></div>
            <div><label>Phrase Match</label> <input type="checkbox" name="matchTypes[]" value="phrase" /> <input type="text" name="bidAmounts[phrase]" value="0.00" /></div>
            <div><label>Exact Match</label> <input type="checkbox" name="matchTypes[]" value="exact" /> <input type="text" name="bidAmounts[exact]" value="0.00" /></div>
        </div>
        <div class="cluster">
            <h2>Token Key</h2>
            <div>{root} = Root Keyword</div>
            <div>{branch} = Branch Keyword</div>
            <div>{mix} = Keyword Mix</div>
            <div>{campaign} = Campaign Name</div>
            <div>{group} = Ad Group Name</div>
            <div>{match} = Match Type</div>       
        </div>
        <br clear="all" />
    </div>
    
    <div id="keyword-options" class="group">
    	<div class="cluster">
        	<div class="sub-group"><h2>Root Keywords</h2> <textarea name="rootKeywords"></textarea></div>
        </div>
        <div class="cluster">
        	<div class="sub-group"><h2>Branch Keywords</h2> <textarea name="branchKeywords"></textarea></div>
        </div>
        <div class="cluster">
        	<div class="sub-group">
                <h2>Mixing Options</h2>
                <div><label><input type="radio" name="mixing" value="before" onclick="groupMode('all'); branch('enable');" /> Branch Before Root</label></div>
                <div><label><input type="radio" name="mixing" value="after" onclick="groupMode('all'); branch('enable');" /> Branch After Root</label></div>
                <div><label><input type="radio" name="mixing" value="both" checked="checked" onclick="groupMode('all'); branch('enable');" /> Branch Before & After Root</label></div>
                <div><label><input type="radio" name="mixing" value="pair" onclick="groupMode('limit'); branch('enable'); base('none');" /> Pair 1:1 Ratio</label></div>
                <div><label><input type="radio" name="mixing" value="nomix" onclick="groupMode('limit'); branch('disable'); base('none');" /> Don't Mix (Ignore Branch)</label></div> 
            </div>         

			<div class="sub-group">
                <h2>Grouping Options</h2>
                <div id="groupBySeed"><label><input type="radio" name="grouping" value="root" onclick="base('root');" /> Group By Root</label></div>
                <div id="groupByExpansion"><label><input type="radio" name="grouping" value="branch" checked="checked" onclick="base('branch');" /> Group By Branch</label></div>
                <div id="groupByFinal"><label><input type="radio" name="grouping" value="final" onclick="base('both');" /> Group By Final</label></div>
                <div id="groupBySingle"><input type="radio" name="grouping" value="single" onclick="base('none');" /> <input type="text" name="groupName" value="Single custom group" onFocus="clearField(this)" /></div>
            </div>
           
			<div class="sub-group">
                <h2>Include Base Keywords In Groups</h2>
                <div id="root-base" style="display: none;">
                    <h3>Root Base?</h3>
                    <label><input type="radio" name="rootBase" value="yes" checked="checked" /> Yes</label>
                    <label><input type="radio" name="rootBase" value="no" /> No</label>
                </div>
                <div id="branch-base">
                    <h3>Branch Base?</h3>
                    <label><input type="radio" name="branchBase" value="yes" checked="checked" /> Yes</label>
                    <label><input type="radio" name="branchBase" value="no" /> No</label>
                </div>
                <div id="base-unavail" style="display: none;">
                	<h3 class="wide">This option is currently unavailable</h3>
                    <br />
                </div>
            </div>
			
            <div class="sub-group">
                <h2>Group Formatting (Optional)</h2>
                <div>
                	<h3>Capitalization: </h3>
                    <label><input type="radio" name="groupCapital" value="upper" /> Upper</label>
                    <label><input type="radio" name="groupCapital" value="lower" /> Lower</label>
                </div>
                <div>
                    <h3>Space Replace: </h3>
                    <label><input type="radio" name="groupSeparator" value="-" /> Hyph</label>
                    <label><input type="radio" name="groupSeparator" value="_" /> Undr</label>
                    <label><input type="radio" name="groupSeparator" value="blank" /> Blank</label>
                </div> 
            </div>

            <div class="sub-group">
                <h2>Extra Group Text (Optional)</h2>
                <div>
                	<input type="text" name="extraText" value="" style="width: 50px; margin-left: 2px;" />
                    <label><input type="radio" name="extra" value="none" checked="checked" /> None</label> 
                    <label><input type="radio" name="extra" value="prefix" /> Prefix</label> 
                    <label><input type="radio" name="extra" value="suffix" /> Suffix</label>
                </div> 
            </div>
        </div>
        <br clear="all" />
    </div>
    
    <div id="url-options" class="group">
		<div class="cluster">
            <h2>URL Options</h2>
            <div><label>URL Template</label> <input type="text" name="urlTemplate" value="http://www.example.com/index.php?sid={root}" /></div>
            <div style="margin-top: 6px;">
                <h3 class="wide">Replace spaces in display URL with:</h3> 
                <label><input type="radio" name="displaySeparator" value="-" checked="checked" /> Hyphen</label>
                <label><input type="radio" name="displaySeparator" value=" " /> Space</label>
                <label><input type="radio" name="displaySeparator" value="" /> Blank</label>
                <label><input type="radio" name="displaySeparator" value="+" /> Plus</label>
                <label><input type="radio" name="displaySeparator" value="_" /> Underscore</label>
            </div>
            <div style="margin-top: 3px;">
                <h3 class="wide">Replace spaces in actual URL with:</h3> 
                <label><input type="radio" name="actualSeparator" value="-" checked="checked" /> Hyphen</label>
                <label><input type="radio" name="actualSeparator" value=" " /> Space</label>
                <label><input type="radio" name="actualSeparator" value="" /> Blank</label>
                <label><input type="radio" name="actualSeparator" value="+" /> Plus</label>
                <label><input type="radio" name="actualSeparator" value="_" /> Underscore</label>
            </div>
        </div>
        <br clear="all" />
    </div>
    
	<div id="text-ads" class="group">
    	<?php for ($x=1; $x<=6; $x++) { if ($x==1 || $x==4) { print '<div class="cluster">'; } ?>
        	<div class="sub-group">
                <h2>Ad <?=$x?> (Optional)</h2>
                <div><label>Headline</label> <input type="text" name="headline[]" id="<?=$x?>_headline" onKeyDown="charCount('headline', <?=$x?>)" onKeyUp="charCount('headline', <?=$x?>)" /> <span id="headline_<?=$x?>">0</span></div>
                <div><label>Line 1</label> <input type="text" name="line1[]" id="<?=$x?>_line1" onKeyDown="charCount('line1', <?=$x?>)" onKeyUp="charCount('line1', <?=$x?>)" /> <span id="line1_<?=$x?>">0</span></div>
                <div><label>Line 2</label> <input type="text" name="line2[]" id="<?=$x?>_line2" onKeyDown="charCount('line2', <?=$x?>)" onKeyUp="charCount('line2', <?=$x?>)" /> <span id="line2_<?=$x?>">0</span></div>
                <div><label>Display URL</label> <input type="text" name="display[]" id="<?=$x?>_display" onKeyDown="charCount('display', <?=$x?>)" onKeyUp="charCount('display', <?=$x?>)" /> <span id="display_<?=$x?>">0</span></div>
                <div><label>Actual URL</label> <input type="text" name="actual[]" id="<?=$x?>_actual" onKeyDown="charCount('actual', <?=$x?>)" onKeyUp="charCount('actual', <?=$x?>)" /> <span id="actual_<?=$x?>">0</span></div>
            </div>
		<?php if ($x==3 || $x==6) { print '</div>'; } } ?>
    	<br clear="all" />
	</div>
    
    <div id="build-campaigns" class="group">
    	<div class="cluster">
    		<input type="submit" name="submit" value="Build PPC Campaigns &raquo;" />
        </div>
        <br clear="all" />
    </div>    
</form>

<?php } elseif ($step == 2) { ?>

<form id="interface" style="text-align: center; padding-bottom: 10px;">
	<div id="interface-header" class="group">
        <h1><?=$version?></h1>
        <div align="center">
        	<a href="versionhistory.php" class="hl">View Version History</a> &bull 
        	<a href="userguide.pdf" class="hl" target="_blank">First Draft User Guide</a>
        </div>
    </div>


	<div id="adwords-kw" class="output">
    	<h2>AdWords Keywords CSV</h2>
		<textarea wrap="off"><?=stripslashes(trim($csvOutput['adw']['kw']))?></textarea>
    </div>
    <div id="adwords-ad" class="output">
        <h2>AdWords Ads CSV</h2>
        <textarea wrap="off"><?=stripslashes(trim($csvOutput['adw']['ad']))?></textarea>
    </div>
</form>

<?php } ?>
</body>
</html>